#ifndef LUA_FITS_H
#define LUA_FITS_H

#include "lunar.h"
#include "SimpleFits.h"

namespace LuaFits {

    class File {

    public:
	static const char className[];
	static Lunar<File>::RegType methods[];


	File( ) { };
	File( lua_State *L );

	int keyword_number( lua_State *L );

	int keyword( lua_State *L );

	~File() { delete file; }

    protected:
	SimpleFits::File *file;

    };


    class Table {

    public:
	static const char className[];
	static Lunar<Table>::RegType methods[];

	Table( lua_State *L );

	int keyword_number( lua_State *L );
	int keyword( lua_State *L );
	int exists_column( lua_State *L );

    protected:
	SimpleFits::Table *file;
    };

}

#endif  // ! LUA_FITS_H
