#ifndef PHOTON_H
#define PHOTON_H

#include "types.h"
#include "source.h"
#include "flux_gen.h"

void photon_loop(void);
void generate_photon(Source *source, FluxGenerator *gen);
void entrance_pupil(Source *source, Photon *photon, double z);
FluxGenerator *nextPhoton_source(Source *source);
void init_photon_times(Source *source);
int update_photon_time(FluxGenerator *gen);

#endif /* ! PHOTON_H */
