/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2006 Smithsonian Astrophysical Observatory
 *
 * This file is part of raygen
 *
 * raygen is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * raygen is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the 
 *       Free Software Foundation, Inc. 
 *       51 Franklin Street, Fifth Floor
 *       Boston, MA  02110-1301, USA
 *
 * -->8-->8-->8-->8-- */

#include <string.h>
#include <ctype.h>
#include <suplib/io.h>

#include "image.h"

char *
rd_line( FILE *file, void *rec )
{
  char *buf;

  while (( buf = fget_rec( file, rec ) ))
  {
    /* seal off comments */
    char *s = strchr( buf, '#' );
    if ( s )
      *s = '\0';

    while ( isspace( buf[0] ) )
      ++buf;
    if ( buf[0] )
      break;
  }

  return buf;
}

