local asol = os.getenv( 'ASOL_FILE')
if nil ~= asol then

   jitter.file{ name="asol",
		file=asol,
		quat_col = 'q_att',
		extrapolate_max_dt = tonumber( os.getenv( 'EXTRAPOLATE_MAX_DT') ) or 1.0 }
end
name = "test"
source.create( name,
               {
                  extent = extent.point{
                     name = name,
                     position = { theta = { 10, 'arcseconds' },
                                  phi = { 125, 'degree' }
                               },
                  },
                  spectrum = spectrum.mono{
                     name = name,
                     energy = 1.49 },
               }
	    )
