#ifndef TESTS_Q_UTILS_H
#define TESTS_Q_UTILS_H

#include <Eigen/Core>
#include <Eigen/Geometry>

#include "gtest/gtest.h"

using namespace Eigen;

::testing::AssertionResult IsEqual( Quaterniond expected,
				    Quaterniond actual,
				    double error = 1e-15 );

::testing::AssertionResult IsNotEqual( Quaterniond expected,
				       Quaterniond actual,
				       double error = 1e-15 );

::testing::AssertionResult IsEqual( Vector3d expected,
				    Vector3d actual,
				    double error = 1e-15 );


#endif // !TESTS_Q_UTILS_H
