#include "Jitter/jutils.h"

namespace Eigen {

    std::ostream& operator<< ( std::ostream& ostr, const Quaterniond& q) {

	ostr << q.x() << "\t" << q.y() << "\t" << q.z() << "\t" << q.w();

	return ostr;
    }

    std::ostream& operator<< ( std::ostream& ostr, const Vector3d& v) {

	ostr << v.x() << "\t" << v.y() << "\t" << v.z();

	return ostr;
    }

}
