#include <iostream>

#include <string>

#include "utils.h"

#include "gtest/gtest.h"

using namespace std;


TEST( Utils, file_has_ext ) {

    string file( "foo.fits.gz" );

    EXPECT_TRUE( raygen::file_has_ext( file,  ".gz" )  );
    EXPECT_TRUE( raygen::file_has_ext( file,  ".fits.gz" )  );
    EXPECT_FALSE( raygen::file_has_ext( file,  "foo.fits" )  );
}


